m_spawn =
{
	private "_condition";

	_condition = _this select 3;

	hint str _this;

	if !(call _condition) exitWith { };

	private ["_groupDescription", "_group"];

	_groupDescription = configfile >>
		"CfgGroups" >> "East" >> "OPF_F" >> "Infantry" >> "OIA_InfSquad";

	_group = [getMarkerPos "test_spawn_point", east, _groupDescription]
		call bis_fnc_spawnGroup;

	if (isNil "m_spawnedGroups") then
	{
		m_spawnedGroups = [];
	};

	m_spawnedGroups pushBack _group;

	sleep 1;

	{ _x setSkill 0.8; } forEach units _group;

	[format ["Spawned %1 units.", count units _group], "hint", true] call bis_fnc_mp;
};

m_delete =
{
	if !(isNil "m_spawnedGroups") then
	{
		{
			private "_group";

			_group = _x;

			{
				deleteVehicle _x;
			}
			forEach units _group;

			deleteGroup _group;
		}
		forEach m_spawnedGroups;
	};
};

